export declare class Indicator {
    el: HTMLIfxIndicatorElement;
    filteredNumber: string | number;
    readonly inverted: boolean;
    readonly ariaLabel: string | null;
    readonly variant: string;
    readonly number: number;
    private handleNumber;
    componentWillLoad(): void;
    componentDidLoad(): Promise<void>;
    componentWillUpdate(): void;
    render(): any;
}
